| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
CoreDbWatchAdaptor Class Reference
Inheritance diagram for CoreDbWatchAdaptor:

## Signals
void | signalAlbumChangeDBus (const QString &databaseIdentifier, const QString &applicationIdentifier, const Digikam::AlbumChangeset &changeset)
void | signalAlbumRootChangeDBus (const QString &databaseIdentifier, const QString &applicationIdentifier, const Digikam::AlbumRootChangeset &changeset)
void | signalCollectionImageChangeDBus (const QString &databaseIdentifier, const QString &applicationIdentifier, const Digikam::CollectionImageChangeset &changeset)
void | signalImageChangeDBus (const QString &databaseIdentifier, const QString &applicationIdentifier, const Digikam::ImageChangeset &changeset)
void | signalImageTagChangeDBus (const QString &databaseIdentifier, const QString &applicationIdentifier, const Digikam::ImageTagChangeset &changeset)
void | signalSearchChangeDBus (const QString &databaseIdentifier, const QString &applicationIdentifier, const Digikam::SearchChangeset &changeset)
void | signalTagChangeDBus (const QString &databaseIdentifier, const QString &applicationIdentifier, const Digikam::TagChangeset &changeset)

## Public Member Functions
| CoreDbWatchAdaptor (Digikam::CoreDbWatch *const watch)